import { AndroidOutlined, AppleOutlined } from "@ant-design/icons";
import { Tabs } from "antd";
import React from "react";

const { TabPane } = Tabs;

class ContentTabs extends React.Component {
  render() {
    const props: any = this.props;

    const { match } = props;
    // const {state} = location;
    // console.log(props);
    const key = match.params.id === undefined ? "tab1" : match.params.id;

    console.log(key);

    return (
      <Tabs defaultActiveKey={key} key={key}>
        <TabPane
          tab={
            <span>
              <AppleOutlined />
              Tab 1
            </span>
          }
          key="tab1"
        >
          Tab 1
        </TabPane>
        <TabPane
          tab={
            <span>
              <AndroidOutlined />
              Tab 2
            </span>
          }
          key="tab2"
        >
          Tab 2
        </TabPane>
      </Tabs>
    );
  }
}

export default ContentTabs;
